/**
 * TestDelayedSyncEventListener
 * 遅延同期機構テスト用のイベントリスナー
 */
package org.logical_paradox.rss.test.dsync;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.logical_paradox.rss.dsync.event.DelayedSyncEvent;
import org.logical_paradox.rss.dsync.event.DelayedSyncEventAdapter;

public class TestDelayedSyncEventListener extends DelayedSyncEventAdapter {
	private static final Log log = LogFactory.getLog(TestDelayedSyncEventListener.class);
	public TestDelayedSyncEventListener() {
	}

	// 相手先からロックコマンドが送信されてきた場合
	public void onLock( DelayedSyncEvent e ) {
		log.info( "ロックコマンドを受信しました" );
	}
	// 相手先からロック解除コマンドが送信されてきた場合
	public void onUnlock( DelayedSyncEvent e ) {
		log.info( "ロック解除コマンドを受信しました" );
	}
	// 相手先から未処理URLが送信されてきた場合
	public void onForwardURL( DelayedSyncEvent e ) {
		log.info( "URLが送信されてきました" );
	}

	// 相手先から無効化する必要のあるURLが送信されてきた場合
	public void onUnforwardURL( DelayedSyncEvent e ) {
		log.info( "URL無効化コマンドを受信しました" );
	}
}

// end of TestDelayedSyncEventListener
